# Generated from compass-tfg-plugin-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name compass-tfg-plugin

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: A Compass-compatible Sass port of the Tiny Fluid Grid system, plus extras
License: Public Domain
URL: http://github.com/zacharyvoase/compass-tfg-plugin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
BuildArch: noarch

%description
The happy & awesome way to build fluid grid based websites
(http://tinyfluidgrid.com/).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/stylesheets
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/compass-tfg-plugin.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.2-1
- Initial package
